# <a name="ETSI-ITS-DSRC-AddGrpC"></a>ASN.1 module ETSI-ITS-DSRC-AddGrpC
OID: _{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts103301 (103301) dsrc (6) addgrpc (0) version2 (2) }_

## Imports:
* **[ETSI-ITS-DSRC](ETSI-ITS-DSRC.md)** *{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) ts103301 (103301) dsrc (6) version2 (2) }*<br/>
* **[ETSI-ITS-CDD](ETSI-ITS-CDD.md)** *{ itu-t (0) identified-organization (4) etsi (0) itsDomain (5) wg1 (1) 102894 cdd (2) major-version-3 (3) minor-version-1 (1) } WITH SUCCESSORS*<br/>
## Data Elements:
### <a name="ConnectionManeuverAssist-addGrpC"></a>ConnectionManeuverAssist-addGrpC

* _itsStationPosition_ of type [**ItsStationPositionList**](#ItsStationPositionList)  OPTIONAL<br>
```asn1
ConnectionManeuverAssist-addGrpC ::=	SEQUENCE {
  itsStationPosition ItsStationPositionList OPTIONAL,
  ...
}
```

### <a name="ConnectionTrajectory-addGrpC"></a>ConnectionTrajectory-addGrpC

* _nodes_ of type [**NodeSetXY**](ETSI-ITS-DSRC.md#NodeSetXY) <br>
* _connectionID_ of type [**LaneConnectionID**](ETSI-ITS-DSRC.md#LaneConnectionID) <br>
```asn1
ConnectionTrajectory-addGrpC ::= SEQUENCE {
  nodes         NodeSetXY,
  connectionID  LaneConnectionID,
  ...
}
```

### <a name="IntersectionState-addGrpC"></a>IntersectionState-addGrpC

* _activePrioritizations_ of type [**PrioritizationResponseList**](#PrioritizationResponseList) 	OPTIONAL<br>
```asn1
IntersectionState-addGrpC ::=	SEQUENCE {
  activePrioritizations  PrioritizationResponseList	OPTIONAL,
  ...
}
```

### <a name="LaneAttributes-addGrpC"></a>LaneAttributes-addGrpC

* _maxVehicleHeight_ of type [**VehicleHeight**](ETSI-ITS-DSRC.md#VehicleHeight)  OPTIONAL<br>
* _maxVehicleWeight_ of type [**VehicleMass**](ETSI-ITS-CDD.md#VehicleMass)    OPTIONAL<br>
```asn1
LaneAttributes-addGrpC ::= SEQUENCE {
  maxVehicleHeight  VehicleHeight OPTIONAL,
  maxVehicleWeight  VehicleMass   OPTIONAL,
  ...
}
```

### <a name="MapData-addGrpC"></a>MapData-addGrpC

* _signalHeadLocations_ of type [**SignalHeadLocationList**](#SignalHeadLocationList) 	OPTIONAL<br>
```asn1
MapData-addGrpC ::=	SEQUENCE {
  signalHeadLocations  SignalHeadLocationList	OPTIONAL,
  ...
}
```

### <a name="MovementEvent-addGrpC"></a>MovementEvent-addGrpC

* _stateChangeReason_ of type [**ExceptionalCondition**](#ExceptionalCondition)  OPTIONAL<br>
```asn1
MovementEvent-addGrpC ::= SEQUENCE {
  stateChangeReason  ExceptionalCondition OPTIONAL,
  ...
}
```

### <a name="NodeAttributeSet-addGrpC"></a>NodeAttributeSet-addGrpC

* _ptvRequest_ of type [**PtvRequestType**](#PtvRequestType)   OPTIONAL<br>
* _nodeLink_ of type [**NodeLink**](#NodeLink)         OPTIONAL<br>
* _node_ of type [**Node**](#Node)             OPTIONAL<br>
```asn1
NodeAttributeSet-addGrpC  ::=	SEQUENCE {
  ptvRequest  PtvRequestType  OPTIONAL,
  nodeLink    NodeLink        OPTIONAL,
  node        Node            OPTIONAL,
  ...
}
```

### <a name="Position3D-addGrpC"></a>Position3D-addGrpC

* _altitude_ of type [**Altitude**](ETSI-ITS-CDD.md#Altitude) <br>
```asn1
Position3D-addGrpC ::=	SEQUENCE {
  altitude  Altitude,
  ...
}
```

### <a name="RestrictionUserType-addGrpC"></a>RestrictionUserType-addGrpC

* _emission_ of type [**EmissionType**](#EmissionType)  OPTIONAL<br>
* _fuel_ of type [**FuelType**](ETSI-ITS-DSRC.md#FuelType)      OPTIONAL<br>
```asn1
RestrictionUserType-addGrpC ::=	SEQUENCE {
  emission  EmissionType OPTIONAL,
  fuel      FuelType     OPTIONAL,
  ...
}
```

### <a name="RequestorDescription-addGrpC"></a>RequestorDescription-addGrpC

* _fuel_ of type [**FuelType**](ETSI-ITS-DSRC.md#FuelType)       OPTIONAL<br>
* _batteryStatus_ of type [**BatteryStatus**](#BatteryStatus)  OPTIONAL<br>
```asn1
RequestorDescription-addGrpC ::= SEQUENCE {
  fuel           FuelType      OPTIONAL,
  batteryStatus  BatteryStatus OPTIONAL,
  ...
}
```

### <a name="SignalStatusPackage-addGrpC"></a>SignalStatusPackage-addGrpC

* _synchToSchedule_ of type [**DeltaTime**](ETSI-ITS-DSRC.md#DeltaTime)       OPTIONAL<br>
* _rejectedReason_ of type [**RejectedReason**](#RejectedReason)  OPTIONAL<br>
```asn1
SignalStatusPackage-addGrpC ::= SEQUENCE {
  synchToSchedule  DeltaTime      OPTIONAL,
  rejectedReason   RejectedReason OPTIONAL,
  ...
}
```

### <a name="ItsStationPosition"></a>ItsStationPosition

* _stationID_ of type [**StationID**](ETSI-ITS-CDD.md#StationID) <br>
* _laneID_ of type [**LaneID**](ETSI-ITS-DSRC.md#LaneID)              OPTIONAL<br>
* _nodeXY_ of type [**NodeOffsetPointXY**](ETSI-ITS-DSRC.md#NodeOffsetPointXY)   OPTIONAL<br>
* _timeReference_ of type [**TimeReference**](#TimeReference)       OPTIONAL<br>
```asn1
ItsStationPosition ::=	SEQUENCE {
  stationID      StationID,
  laneID         LaneID             OPTIONAL,
  nodeXY         NodeOffsetPointXY  OPTIONAL,
  timeReference  TimeReference      OPTIONAL,
  ...
}
```

### <a name="ItsStationPositionList"></a>ItsStationPositionList
```asn1
ItsStationPositionList ::=	SEQUENCE SIZE(1..5) OF ItsStationPosition
```

### <a name="Node"></a>Node

* _id_ of type **INTEGER** <br>
* _lane_ of type [**LaneID**](ETSI-ITS-DSRC.md#LaneID)            OPTIONAL<br>
* _connectionID_ of type [**LaneConnectionID**](ETSI-ITS-DSRC.md#LaneConnectionID)  OPTIONAL<br>
* _intersectionID_ of type [**IntersectionID**](ETSI-ITS-DSRC.md#IntersectionID)    OPTIONAL<br>
```asn1
Node ::= SEQUENCE {
  id              INTEGER,
  lane            LaneID           OPTIONAL,
  connectionID    LaneConnectionID OPTIONAL,
  intersectionID  IntersectionID   OPTIONAL,
  ...
}
```

### <a name="NodeLink"></a>NodeLink
```asn1
NodeLink ::= SEQUENCE SIZE (1..5) OF Node
```

### <a name="PrioritizationResponse"></a>PrioritizationResponse

* _stationID_ of type [**StationID**](ETSI-ITS-CDD.md#StationID) <br>
* _priorState_ of type [**PrioritizationResponseStatus**](ETSI-ITS-DSRC.md#PrioritizationResponseStatus) <br>
* _signalGroup_ of type [**SignalGroupID**](ETSI-ITS-DSRC.md#SignalGroupID) <br>
```asn1
PrioritizationResponse ::=	SEQUENCE {
  stationID    StationID,
  priorState   PrioritizationResponseStatus,
  signalGroup  SignalGroupID,
  ...
}
```

### <a name="PrioritizationResponseList"></a>PrioritizationResponseList
```asn1
PrioritizationResponseList ::=	SEQUENCE SIZE(1..10) OF PrioritizationResponse
```

### <a name="SignalHeadLocation"></a>SignalHeadLocation

* _nodeXY_ of type [**NodeOffsetPointXY**](ETSI-ITS-DSRC.md#NodeOffsetPointXY) <br>
* _nodeZ_ of type [**DeltaAltitude**](ETSI-ITS-CDD.md#DeltaAltitude) <br>
* _signalGroupID_ of type [**SignalGroupID**](ETSI-ITS-DSRC.md#SignalGroupID) <br>
```asn1
SignalHeadLocation ::=	SEQUENCE {
  nodeXY         NodeOffsetPointXY,
  nodeZ          DeltaAltitude,
  signalGroupID  SignalGroupID,
  ...
}
```

### <a name="SignalHeadLocationList"></a>SignalHeadLocationList
```asn1
SignalHeadLocationList ::=	SEQUENCE (SIZE(1..64)) OF	SignalHeadLocation
```

### <a name="BatteryStatus"></a>BatteryStatus
```asn1
BatteryStatus ::= ENUMERATED {
  unknown,
  critical,
  low,
  good,
  ...
}
```

### <a name="EmissionType"></a>EmissionType
```asn1
EmissionType ::= ENUMERATED {
  euro1,
  euro2,
  euro3,
  euro4,
  euro5,
  euro6,
  ...
}
```

### <a name="ExceptionalCondition"></a>ExceptionalCondition
```asn1
ExceptionalCondition ::= ENUMERATED {
  unknown,
  publicTransportPriority,
  emergencyVehiclePriority,
  trainPriority,
  bridgeOpen,
  vehicleHeight,
  weather,
  trafficJam,
  tunnelClosure,
  meteringActive,
  truckPriority,
  bicyclePlatoonPriority,
  vehiclePlatoonPriority,
  ...
}
```

### <a name="PtvRequestType"></a>PtvRequestType
```asn1
PtvRequestType  ::= ENUMERATED {
  preRequest,
  mainRequest,
  doorCloseRequest,
  cancelRequest,
  emergencyRequest,
  ...
}
```

### <a name="RejectedReason"></a>RejectedReason
```asn1
RejectedReason ::= ENUMERATED {
  unknown,
  exceptionalCondition,
  maxWaitingTimeExceeded,
  ptPriorityDisabled,
  higherPTPriorityGranted,
  vehicleTrackingUnknown,
  ...
}
```

### <a name="TimeReference"></a>TimeReference
```asn1
TimeReference ::= INTEGER { oneMilliSec(1) } (0..60000)
```



